1. Sky13's Avatar
    Hi guys,

    Original iPad running iOS 5.1.1, having the following problem with App store. Please help.

    App store won't work with my mum's Apple ID (region China), says "iOS update required", "Cannot connect to iTunes". Can't download any app.
    But works fine with my Apple ID (region Australia)

    My mum's Apple ID works fine on her iPhone with iOS 7.
    10-16-2013 07:37 PM
  2. Totalimmortal363's Avatar
    Have you tried doing what it said and updating the software?
    10-16-2013 08:27 PM
  3. Sky13's Avatar
    Original iPad can only run up to 5.1.1.
    10-16-2013 08:33 PM
  4. azmiadhani's Avatar
    That's because there's maybe some app that your mom downloaded on her iphone os7, when you try to login on ipad its say update your os, because of theres some app that sont syncronize
    10-18-2013 08:16 AM
  5. Sky13's Avatar
    That's because there's maybe some app that your mom downloaded on her iphone os7, when you try to login on ipad its say update your os, because of theres some app that sont syncronize
    Thanks for the reply. But I've restored the iPad as a new iPad, nothing to sync.

    Isn't that App store will allow user to download the App version that's compatible with the iOS version?

    The only thing I can think of is that my mum's Apple ID was created on her iPhone with iOS 7, does that mean the Apple ID will only work with iOS 7 upwards?

    And I can't create a new Apple ID from the iPad under iOS 5.1.1, same issue, "iOS update required".
    10-20-2013 08:37 PM
  6. azmiadhani's Avatar
    Thanks for the reply. But I've restored the iPad as a new iPad, nothing to sync.

    Isn't that App store will allow user to download the App version that's compatible with the iOS version?

    The only thing I can think of is that my mum's Apple ID was created on her iPhone with iOS 7, does that mean the Apple ID will only work with iOS 7 upwards?

    And I can't create a new Apple ID from the iPad under iOS 5.1.1, same issue, "iOS update required".
    When you make a new Apple ID then pop up "iOS update required" ?
    Try to download and reinstall iOS 5.1.1
    Is your original iPad jailbreaked ?
    10-21-2013 07:47 AM
  7. Sky13's Avatar
    When you make a new Apple ID then pop up "iOS update required" ?
    Try to download and reinstall iOS 5.1.1
    Is your original iPad jailbreaked ?
    Yes.
    Tried already.
    Not JB.
    10-21-2013 07:19 PM
  8. dannuyun's Avatar
    Me too havingthis problem on both my ipad 1. Updated to the latest 5.1.1 but cannot download cannot update apps nor even sign in and prompt ios update require when its ardy am up to date. Help pls
    12-26-2013 09:25 AM

Similar Threads

  1. Reading purchased iBooks after downloading iOS 7
    By iMore Question in forum Ask a Question
    Replies: 2
    Last Post: 11-18-2013, 03:06 AM
  2. Are you going to buy the new Mac Pro?
    By James Falconer in forum Mac Pro
    Replies: 26
    Last Post: 11-06-2013, 03:23 PM
  3. Slide to Answer
    By Chris Cook5 in forum iOS 7
    Replies: 22
    Last Post: 10-19-2013, 07:44 AM
  4. Buying 5C at Walmart: Can I take it to an Apple Store?
    By Armada in forum Ask a Question
    Replies: 6
    Last Post: 10-17-2013, 09:39 AM
  5. Slide to Answer
    By Chris Cook5 in forum iPhone 5s
    Replies: 14
    Last Post: 10-16-2013, 06:23 PM
LINK TO POST COPIED TO CLIPBOARD